{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_CATEGORIE_EMPLOI; 
            externalType = VARCHAR2; 
            name = cCategorieEmploi; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_RNE; 
            externalType = VARCHAR2; 
            name = empImplantation; 
            valueClassName = NSString; 
            width = 8; 
        }, 
        {
            columnName = NO_EMPLOI; 
            externalType = NUMBER; 
            name = empOrdre; 
            precision = 5; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = toGrhumRne.lcRne; 
            externalType = VARCHAR2; 
            name = lcRne; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(toGrhumCorpsCategEmploi.toGrhumCorps.toGrhumTypePopulation.temEnseignant,'N')"; 
            externalType = VARCHAR2; 
            name = temEnseignant; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (empOrdre); 
    className = EOGenericRecord; 
    classProperties = (
        empOrdre, 
        empImplantation, 
        toGrhumRne, 
        lcRne, 
        cCategorieEmploi, 
        toGrhumCorpsCategEmploi, 
        temEnseignant
    ); 
    externalName = MANGUE.EMPLOI; 
    fetchSpecificationDictionary = {}; 
    name = MangueEmploi; 
    primaryKeyAttributes = (empOrdre); 
    relationships = (
        {
            destination = GrhumCorpsCategEmploi; 
            internalInfo = {_nameInObjectStore = toGrhumCorps; }; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = (
                {destinationAttribute = cCategorieEmploi; sourceAttribute = cCategorieEmploi; }
            ); 
            name = toGrhumCorpsCategEmploi; 
        }, 
        {
            destination = GrhumRne; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cRne; sourceAttribute = empImplantation; }); 
            name = toGrhumRne; 
        }
    ); 
}
